Bric::Dist::Handler(3p)

NAME
Bric::Dist::Handler - Apache/mod_perl handler for executing distribution jobs.

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2006-09-16 02:41:14 +0200 (Sat, 16 Sep 2006) $

SYNOPSIS
  <Location /dist>
      SetHandler perl-script
      PerlHandler Bric::Dist::Handler
  </Location>

DESCRIPTION
This module is a simple Apache/mod_perl handler for executing Bricolage distribution jobs. It responds to a request with the headers "execute" and/or "expire", where the values are a comma-separated list of Bric::Util::Job IDs. Bric::Dist::Handler will instantiate and execute and/or expire each of those jobs in turn. See Bric::Dist::Client for an interface to send those headers.

INTERFACE

  Constructors
NONE.

  Destructors

$h->DESTROY
    Dummy method to prevent wasting time trying to AUTOLOAD DESTROY.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Class Methods
NONE.

  Public Instance Methods
NONE.

PRIVATE

  Private Class Methods
NONE.

  Private Instance Methods
NONE.

  Private Functions

my $ret_code = handler($r)
    Handles the HTTP request.

    Throws: NONE. All exceptions are logged to the Apache error log.

    Side Effects: NONE.

    Notes: NONE.

my $bool = log_err($r, $err, $msg)
    Logs an error to the Apache error log. Will handle both standard error messages as well as Bric::Util::Fault objects.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

NOTES
NONE.

AUTHOR
David Wheeler <david@justatheory.com>

SEE ALSO
Bric, Bric::Util::Job